Name:       ibus-table-cantonese
Version:    1.2.0.20100305
Release:    3%{?dist}
Summary:    The Cantonese language tables for Bus-Table
License:    GPLv3
Group:      System Environment/Libraries
URL:        http://code.google.com/p/ibus/
Source0:    http://ibus.googlecode.com/files/%{name}-%{version}.tar.gz

BuildRoot:  %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildArch:  noarch

Requires:         ibus-table >= 1.2.0.20090912
BuildRequires:    ibus-table-devel >= 1.2.0.20090912

%description
The package contains Cantonese language tables for IBus-Table. 

%prep
%setup -q

%build
export IBUS_TABLE_CREATEDB="%{_bindir}/ibus-table-createdb -o"
%configure \
    --prefix=%{_prefix} \
    --enable-cantonese \
    --enable-cantonhk \
    --enable-jyutping
%__make %{?_smp_mflags}

%install
%__rm -rf %{buildroot}
%__make DESTDIR=%{buildroot} NO_INDEX=true INSTALL="install -p" install
cd %{buildroot}/%{_datadir}/ibus-table/tables/
%{_bindir}/ibus-table-createdb -i -n cantonese.db
%{_bindir}/ibus-table-createdb -i -n cantonhk.db
%{_bindir}/ibus-table-createdb -i -n jyutping.db

%clean
%__rm -rf %{buildroot}

%files
%defattr(-,root,root,-)
%doc AUTHORS COPYING README
%{_datadir}/ibus-table/tables/cantonese.db
%{_datadir}/ibus-table/tables/cantonhk.db
%{_datadir}/ibus-table/tables/jyutping.db
%{_datadir}/ibus-table/icons/cantonese.png
%{_datadir}/ibus-table/icons/cantonhk.png
%{_datadir}/ibus-table/icons/jyutping.png

%changelog
* Wed Feb 09 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.2.0.20100305-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Fri Mar 05 2010 Caius 'kaio' Chance <cchance at redhat.com> - 1.2.0.20100305-2
- Fix source tag.

* Fri Mar 05 2010 Caius 'kaio' Chance <cchance at redhat.com> - 1.2.0.20100305-1
- Remove ghost tag on files.
- Upgrade source from upstream.
- Move index creation at build time.
- Fix BuildRequires to ibus-table-devel.
- Updated source location.

* Thu Jan 07 2010 Caius 'kaio' Chance <k at kaio.me> - 1.2.0.20100107-1.fc13
- New package with Cantonese, Cantonese HK, JyutPing tables.
